import BigDecimal from "../../../domain/context/shared/BigDecimal";
export default class CheckNums {
    static isWithinRange<T extends number | bigint | BigDecimal>(value: T, min: T, max: T): boolean;
    static isLessThan<T extends number | bigint | BigDecimal>(value: T, max: T): boolean;
    static isGreaterThan<T extends number | bigint | BigDecimal>(value: T, max: T): boolean;
    static isLessOrEqualThan<T extends number | bigint | BigDecimal>(value: T, max: T): boolean;
    static isGreaterOrEqualThan<T extends number | bigint | BigDecimal>(value: T, max: T): boolean;
    static isBigInt(value: any): boolean;
    static isBigDecimal(value: any): boolean;
    static hasMoreDecimals(from: BigDecimal | string, to: number): boolean;
    static isNumber(value: any): value is number | bigint;
}
